Subject: Re: fork + dlls
From: [email-masked] (Christopher G. Faylor)

21 Aug 1998 01:31:39 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Tim Newsham <[email-masked]> wrote:
>    When you manually load a dll, and then perform a fork, the dll
>is not accessible from the child process.  When you think about what
>is going on here, it makes sense.  My question though is, is this the
>way fork should behave?  Or should (could) the fork code reload the
>dll in the child process after a fork?  It seems that this would 
>more closely follow the expected fork semantics.

If you use UNIX semantics (dlopen) to load the .dll then the .dll
should be automatically loaded on a fork.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada